We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 7984 - Show archived items on author home pages
Show archived items on author home pages
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Authors
2.4.3
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 09:52 PDT by barbara.hui
Modified: 2013-09-04 11:31 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description barbara.hui 2012-10-26 09:52:03 PDT
Currently in OJS, if a submission is rejected by the journal editor, that submission is moved to the Archive. From an author's perspective (when they're viewing their home screen) the submission has simply disappeared, as there is no clear path to the Archived items on the home pages.

I suggest placing a "# Archived" link next to the "# Active" link that appears on the author's home pages (see attached illustration for additional details).

http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=8692
Comment 1 barbara.hui 2012-10-26 10:13:20 PDT
Issued pull request: https://github.com/pkp/ojs/pull/42
Comment 2 Lisa Schiff 2012-10-26 14:15:02 PDT
Show archived items on author home pages
https://github.com/pkp/ojs/commit/d234ad062e27acf947421c906ad5d08327d03c42
Comment 3 Lisa Schiff 2012-10-26 14:20:03 PDT
Show archived items on author home pages
https://github.com/pkp/ojs/commit/9587a12d4eb673907630db91d77bfce7bf7d6f1e
Comment 4 James MacGregor 2013-05-29 15:07:13 PDT
Hi Barbara/Lisa, can this bug entry be closed, or does this need to be ported to other OJS branches?
Comment 5 barbara.hui 2013-05-29 15:17:24 PDT
Hey James, you might want to check with Alec, but I think it can be closed. See the pull request: https://github.com/pkp/ojs/pull/42

I'm guessing that the last 2 comments were auto-generated when Alec merged in the pull request. (For some reason Lisa's name is attached to my pushes/pulls because of the way things are set up on our server and the fact we use a role account. I still need to untangle that).

-Barbara
Comment 6 Jason Nugent 2013-09-04 11:31:38 PDT
I'll close this, because the pull request here:  

https://github.com/pkp/ojs/pull/43

Has been merged and closed.  This probably does not need to be ported to the master branch since that's 3.0 and the dashboard replaces the author home page.